%define 	enigmail_ver 	0.92.0
%define 	ipc_ver      	1.1.3
%define 	cid				\{847b3a00-7ab1-11d4-8f02-006008948af5\}
%define 	ciddir 			%tbird_extensionsdir/%cid

Summary:        Enigmail - GPG support for Mozilla Thunderbird
Name:           thunderbird-enigmail
Version:        %enigmail_ver
Release:       	alt2.1
License:        MPL/GPL/LGPL
Group:          Networking/Mail
URL:            http://enigmail.mozdev.org/

Source0:       	enigmail-%version.tar.gz
Source1:        ipc-%ipc_ver.tar.gz 

Requires: coreutils gnupg
Requires: %tbird_name = %tbird_version
Conflicts:  thunderbird-enigmail < 0.90.0

# Automatically added by buildreq on Fri Jan 07 2005
BuildRequires: fontconfig freetype2 gcc-c++ glib2-devel libgtk+2-devel 
BuildRequires: libstdc++-devel vim-minimal xorg-x11-libs unzip
BuildRequires: thunderbird-devel = %tbird_version

%description
Enigmail is an extension to the mail client of Mozilla / Netscape 7.x 
which allows users to access the authentication and encryption features 
provided by the popular GnuPG software.

%prep
%setup -q -n %name-%version/mozilla -c
%setup -q -n %name-%version/mozilla -T -D -a1

%__tar -jxf %tbird_usrsrc/sources.tar.bz2

%__subst "s@-I.*\(/include/nspr\)@-I%_builddir/%name-%version/mozilla/dist\1@g" config/autoconf.mk
%__subst "s@\(MOZ_BUILD_ROOT\)[[:space:]]*=.*@\1 = %_builddir/%name-%version/mozilla@g" config/autoconf.mk

./build_dist.sh 

%__cp makemake.sh enigmail
%__cp makemake.sh ipc

%__mkdir_p ./extensions
%__mv enigmail ipc extensions

%build
cd config
%make nsinstall
%make export
cd -

cd extensions/ipc
./makemake.sh -r
MOZ_THUNDERBIRD=1 %make
cd -

cd extensions/enigmail
./makemake.sh -r
MOZ_THUNDERBIRD=1 %make
MOZ_THUNDERBIRD=1 %make xpi
cd -

%install
%__mkdir_p %buildroot/%ciddir
pushd %buildroot/%ciddir >/dev/null
unzip -q -- %_builddir/%name-%version/mozilla/dist/bin/enigmail-%version-linux-*.xpi
popd >/dev/null

%post
%tbird_install_extension %ciddir

%postun
%tbird_uninstall_extension %cid
if [ -d "%ciddir" ]; then
    rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Mon Sep 05 2005 Alexey Gladkov <legion@altlinux.ru> 0.92.0-alt2.1
- scripts bugfix. 

* Wed Aug 31 2005 Alexey Gladkov <legion@altlinux.ru> 0.92.0-alt2
- bugfix rebuild.

* Sun Aug 14 2005 Alexey Gladkov <legion@altlinux.ru> 0.92.0-alt1
- new version;

* Thu May 12 2005 Alexey Gladkov <legion@altlinux.ru> 0.91.0-alt1
- new version;

* Fri Jan 28 2005 Alexey Gladkov <legion@altlinux.ru> 0.90.0-alt3
- Rebuild with libstdc++.so.6 .

* Thu Jan 20 2005 Alexey Gladkov <legion@altlinux.ru> 0.90.0-alt2
- Rebuild with new thunderbird.
- Requires to thunderbird package was relaxed.

* Fri Jan 07 2005 Alexey Gladkov <legion@altlinux.ru> 0.90.0-alt1
- New version;

* Sun Oct 24 2004 Alexey Gladkov <legion@altlinux.ru> 0.86.1-alt1
- New version
- New extension loading scheme
- %%post_ldconfig and %%postun_ldconfig was removed

* Tue Jul 16 2004 Alexey Morozov <morozov@altlinux.org> 0.84.2-alt2
- new version (0.84.2 for thunderbird 0.7.x)
- requirements reviewed

* Tue May 11 2004 Alexey Gladkov <legion@altlinux.ru> 0.84.0-alt2
- New version

* Fri Feb 13 2004 Alexey Gladkov <legion@altlinux.ru> 0.83.3-alt2
- New version

* Tue Jan 13 2004 Alexey Gladkov <legion@altlinux.ru> 0.82.6-alt2
- first build for ALT Linux.
